package com.kexun.controller;



import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.kexun.common.utils.Result;
import com.kexun.entity.BaseField;
import com.kexun.service.BaseFieldService;
import lombok.extern.java.Log;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/*
新加
 * 目标：实现字段及字段组合的管理
 * 目前：只实现了基础字段的简单罗列，
 */

@RestController
@RequestMapping("/admin/field")
@Log
public class FieldController {


    @Autowired
    private BaseFieldService BaseFieldService;

    //展示基础字段
    @GetMapping("baseList")
    public Result list(String modelName) {
        QueryWrapper<BaseField> w = new QueryWrapper<>();
        if (!StringUtils.isEmpty(modelName)) {
            w.like("model_name", modelName);
        }

        List<BaseField> list = BaseFieldService.list(w);
        return Result.success("ok", list);
    }
}
