package com.kexun.controller;

//import ch.qos.logback.core.rolling.helper.FileStoreUtil;
//import ch.qos.logback.core.util.FileUtil;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.kexun.common.utils.Result;
import com.kexun.entity.CooperatorField;
import com.kexun.entity.CooperatorInfo;
import com.kexun.entity.CooperatorProduct;
import com.kexun.entity.ModelDefine;
import com.kexun.service.ModelDefineService;
import lombok.extern.java.Log;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.List;


@RestController
@RequestMapping("/admin/model_define")
@Log
public class ModelDefineController {

    @Autowired
    private ModelDefineService ModelDefineService;

    // 获取模型信息
    @GetMapping("modelDefineList")
    public Result modelDefineList() {
        JSONObject resJson=new JSONObject();
        List<ModelDefine> list= ModelDefineService.list();
        resJson.put("model_define_list",list);
        System.out.println(list);

        return Result.success("ok",resJson);
    }



}
