package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;

/**
 * @TableName credit_approval
 */
@TableName(value = "credit_approval")
@Data
public class CreditApproval implements Serializable {
    //作为注解id，数据库中相关表的id为主键lic
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id")
    private Long id;
    /**
     * 模型名
     */
    @TableField(value = "approval_result")
    private String approvalResult;

    @TableField(value = "credit_name")
    private String creditName;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}