package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;

/**
 * @TableName parse_auto
 */

@Data
public class ParseAuto implements Serializable {
    //作为注解id，数据库中相关表的id为主键lic
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id")
    private Long id;
    /**
     * 模型名
     */
    @TableField(value = "parseAuto_status")
    private String parseAutoStatus;

    @TableField(value = "started_time")
    private String startedTime;

    @TableField(value = "report_name")
    private String reportName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}