package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * @TableName sys_rights
 */
@TableName(value = "sys_rights")
@Data
public class SysRights implements Serializable {
    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     *
     */
    @TableField(value = "right_name")
    private String rightName;

    /**
     * 图标
     */
    @TableField(value = "right_icon")
    private String rightIcon;

    /**
     * 职权说明
     */
    @TableField(value = "right_desc")
    private String rightDesc;

    /**
     * 父权限id
     */
    @TableField(value = "parent_id")
    private Long parentId;

    @TableField(value = "right_url")
    private String rightUrl;

    @TableField(value = "is_show")
    private Integer isShow;

    @TableField(value = "component")
    private String component;

    /**
     *
     */
    @TableField(value = "create_time")
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}