package com.kexun.entity;
import com.baomidou.mybatisplus.annotation.IdType;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@TableName(value = "user_field")
@Data
public class UserField implements Serializable {

    @TableId(value = "id" , type = IdType.AUTO)
//    @TableId(value = "id")
    private Long id;

    @TableField(value = "user_name")
    private String userName;

    @TableField(value = "model_name")
    private String modelName;

    //字段组合名
    @TableField(value = "field_combine")
    private String fieldCombine;

    @TableField(value = "field_data")
    private String fieldData;

    @TableField(value = "field_state")
    private String fieldState;

    @TableField(value = "field_remark")
    private String fieldRemark;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
