package com.kexun.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.kexun.entity.SysRoleRights;
import com.kexun.service.SysRoleRightsService;
import com.kexun.mapper.SysRoleRightsMapper;
import org.springframework.stereotype.Service;

/**
 *
 */
@Service
public class SysRoleRightsServiceImpl extends ServiceImpl<SysRoleRightsMapper, SysRoleRights>
        implements SysRoleRightsService {

    @Override
    public void addRoleIdAndRightId(Long roleId, Long rightId) {
        SysRoleRights sysRoleRights = new SysRoleRights();
        sysRoleRights.setRightId(rightId);
        sysRoleRights.setRoleId(roleId);
        save(sysRoleRights);
    }

    @Override
    public void delRoleIdAndRightId(Long roleId, Long rightId) {
        QueryWrapper<SysRoleRights> w = new QueryWrapper<>();
        w.eq("role_id", roleId);
        w.eq("right_id", rightId);
        remove(w);
    }
}




