package com.kexun.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.kexun.entity.SysUser;
import com.kexun.service.SysUserService;
import com.kexun.mapper.SysUserMapper;
import org.springframework.stereotype.Service;

/**
 *
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser>
        implements SysUserService {

    @Override
    public SysUser findByUserName(String userName) {
        return getOne(new QueryWrapper<SysUser>().eq("user_name", userName));
    }
}




