package com.kexun.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.kexun.entity.SysRoleRights;
import com.kexun.entity.SysUser;
import com.kexun.entity.UserInfo;
import com.kexun.mapper.UserInfoMapper;
import com.kexun.service.UserInfoService;

import org.springframework.stereotype.Service;

@Service
public class UserInfoServiceImpl extends ServiceImpl<UserInfoMapper, UserInfo>
        implements UserInfoService {
    @Override
    public UserInfo findByUserName(String userName) {
        return getOne(new QueryWrapper<UserInfo>().eq("user_name", userName));
    }

    @Override
    public UserInfo updateUserInfo(String user_name, String field_data) {
        return null;
    }
}
