package com.kexun.common;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;

import java.io.*;

public class JsonFile {
    private String file_path="D://jin_rong//model_data//";
    public void writerFile(JSONObject obj, String file_name) throws IOException {
        String content = JSON.toJSONString(obj, SerializerFeature.PrettyFormat, SerializerFeature.WriteMapNullValue,
                SerializerFeature.WriteDateUseDateFormat);
        FileWriter fw = null;
        try {
            //创建字符输出流对象，负责向文件内写入
            fw = new FileWriter(file_path+file_name+".json");
            //将str里面的内容读取到fw所指定的文件中
            fw.write(content);
        } catch (IOException e) {
            e.printStackTrace();
        }finally{
            if(fw!=null){
                fw.close();
            }
        }
    }

    public JSONObject ReadJson(String name)
    {
        String content="";
        String fileName = file_path+name+".json";
        File jsonFile = new File(fileName);
        try (Reader reader = new InputStreamReader(new FileInputStream(jsonFile), "utf-8")) {
            int ch = 0;
            StringBuffer sb = new StringBuffer();
            while ((ch = reader.read()) != -1) {
                sb.append((char) ch);
            }
            content+=sb.toString();
        } catch (IOException e) {
            e.printStackTrace();
            return null;
        }
        return  JSON.parseObject(content);
    }

}
