package com.kexun.common.utils;

import java.math.BigInteger;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class MD5Utils {


    public static String md5slat(String body, String slat, int count) {
        String s = toMD5(body + slat);
        for (int i = 1; i < count; i++) {
            s = toMD5(s + slat);
        }
        return s;
    }

    public static String toMD5(String plainText) {

        byte[] secretBytes = null;
        try {
            secretBytes = MessageDigest.getInstance("md5").digest(
                    (plainText).getBytes());
        } catch (NoSuchAlgorithmException e) {
            throw new RuntimeException("没有md5这个算法！");
        }
        String md5code = new BigInteger(1, secretBytes).toString(16);// 16进制数字
        // 如果生成数字未满32位，需要前面补0
        for (int i = 0; i < 32 - md5code.length(); i++) {
            md5code = "0" + md5code;
        }
        return md5code;
    }

    public static void main(String[] args) {
        String s = MD5Utils.toMD5("39ff651343fe498edda78deb08e7181dd041f2867fb4178aa7f0e3c5b277fb1d");
        System.out.println(s);
//        26efe222eacf6daeb5a7c93fd1e8cdb2
    }
}
