package com.kexun.controller;

//import ch.qos.logback.core.rolling.helper.FileStoreUtil;
//import ch.qos.logback.core.util.FileUtil;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.kexun.common.utils.Result;
import com.kexun.entity.CooperatorField;
import com.kexun.entity.CooperatorInfo;
import com.kexun.entity.CooperatorProduct;
import com.kexun.entity.FieldTemplate;
import com.kexun.service.CooperatorService;
import com.kexun.service.FieldTemplateService;
import com.kexun.service.UserFieldService;
import lombok.extern.java.Log;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import java.util.List;
//字段模版

@RestController
@RequestMapping("/admin/fieldtemplate")
@Log
public class FieldTemplateController {

    @Autowired
    private FieldTemplateService FieldTemplateService;

    // 获取字段模版信息
    @GetMapping("fieldTemplateList")
    public Result fieldTemplateList() {
        JSONObject resJson=new JSONObject();
        List<FieldTemplate> list= FieldTemplateService.list();
        resJson.put("field_template_list",list);
        System.out.println(list);

        return Result.success("ok",resJson);
    }



}
