package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @TableName base_field
 */
@TableName(value = "base_field")
@Data
public class BaseField implements Serializable {
    /**
     * 模型名
     */
    @TableField(value = "primary_classify")
    private String primaryClassify;
    /**
     * 类别名
     */
    @TableField(value = "secondary_classify")
    private String secondaryClassify;

    /**
     * 所选字段列表
     */
    @TableField(value = "third_classify")
    private String thirdClassify;

    /**
     * 插入数据者
     */
    @TableField(value = "no")
    private String no;

    /**
     * 读数据者
     */
    @TableField(value = "field_name")
    private String fieldName;

    /**
     * 插入数据者
     */
    @TableField(value = "original_no")
    private String originalNo;

    /**
     * 读数据者
     */
    @TableField(value = "two_decimal")
    private String twoDecimal;

    /**
     * 插入数据者
     */
    @TableField(value = "static_dynamic")
    private String staticDynamic;

    /**
     * 读数据者
     */
    @TableField(value = "field_logic")
    private String fieldLogic;

    /**
     * 更新数据者
     */
    @TableField(value = "field_value")
    private String fieldValue;

    /**
     * 删除数据者
     */
    @TableField(value = "xml")
    private String xml;



    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}