package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @TableName partner_info
 */
@TableName(value = "cooperator_info")
@Data
public class CooperatorInfo implements Serializable {

    @TableId(value = "id" , type = IdType.AUTO)
//    @TableField(value = "id")
    private Long id;

//    @TableId(value = "cooperator_num" , type = IdType.AUTO)
    @TableField(value = "cooperator_num")
    private String cooperatorNum;

    @TableField(value = "cooperator_name")
    private String cooperatorName;

    @TableField(value = "corp_certificate_type")
    private String corpCertificateType;

    @TableField(value = "corp_certificate_num")
    private String corpCertificateNum;

    @TableField(value = "template_no")
    private String templateNo;

    @TableField(value = "field_count")
    private String fieldCount;

    @TableField(value = "model_count")
    private String modelCount;

    @TableField(value = "create_time")
    private String createTime;

    @TableField(value = "update_by")
    private String updateBy;

    @TableField(value = "update_time")
    private String updateTime;




    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}