package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.springframework.data.annotation.Transient;

import java.io.Serializable;

@TableName(value = "prd_product")
@Data
public class CooperatorProduct implements Serializable {

    @TableField(value = "product_num")
    private String productNum;

    @TableField(value = "product_name")
    private String productName;

    @TableField(value = "product_status")
    private String productStatus;

    private transient String modelName;

    @TableField(value = "cooperator_name")
    private String cooperatorName;

    @TableField(value = "model_id")
    private String modelId;

    @TableField(value = "create_time")
    private String createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}