package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@TableName(value = "field_template")
@Data
public class FieldTemplate implements Serializable {

    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    @TableField(value = "template_no")
    private String templateNo;

    @TableField(value = "template_name")
    private String templateName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}