package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @TableName FilterResult
 */
@TableName(value = "filter_result")
@Data
public class FilterResult implements Serializable {

    @TableId(value = "id")
    private Long id;
    /**
     * 模型名
     */
    @TableField(value = "report_name")
    private String reportName;
    /**
     * 类别名
     */
    @TableField(value = "field_name")
    private String fieldName;

    /**
     * 所选字段列表
     */
    @TableField(value = "filter_info")
    private String filterInfo;

    @TableField(value = "parse_info")
    private String parseInfo;

    @TableField(value = "bus_name")
    private String busName;

    @TableField(value = "model_name")
    private String modelName;

    @TableField(value = "product_num")
    private String productNum;

    @TableField(value = "start_time")
    private String startTime;

    @TableField(value = "end_time")
    private String endTime;

    @TableField(value = "filter_status")
    private String filterStatus;

    @TableField(value = "model_status")
    private String modelStatus;
    /**
     * 插入数据者
     */
    @TableField(value = "created_by")
    private String createdBy;

    /**
     * 读数据者
     */
    @TableField(value = "read_by")
    private String readBy;


    /**
     * 删除数据者
     */
    @TableField(value = "deleted_by")
    private String deletedBy;




    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}