package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;

/**
 * @TableName sys_user
 */
@TableName(value = "sys_user")
@Data
public class SysUser implements Serializable {
    /**
     * 注解ID
     */
    @TableField(value = "id")
    private Long id;

    /**
     * 用户ID
     */
    @TableId(value = "user_id", type = IdType.UUID)
    private String userId;

    /**
     * 用户名登录名
     */
    @TableField(value = "user_name")
    private String userName;

    /**
     * 显示名字
     */
    @TableField(value = "show_name")
    private String showName;

    /**
     * 密码
     */
    @TableField(value = "password")
    private String password;

    /**
     * 加密
     */
    @TableField(value = "salt")
    private String salt;

    /**
     * 角色ID
     */
    @TableField(value = "role_id")
    private Long roleId;

    @TableField(value = "phone")
    private String phone;


    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}