package com.kexun.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;

@TableName(value = "user_approval")
@Data
//用户申请 编号：
//approvalId =1 提交模型
//           =2 提交字段
//           =3 用作其他
public class UserApproval implements Serializable {
    //作为注解id，数据库中相关表的id为主键lic
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id")
    private Long id;

    @TableField(value = "user_name")
    private String userName;

    @TableField(value="approval_id")
    private  Long approvalId;

    @TableField(value = "data")
    private String data;

    @TableField(value = "field_data")
    private String fieldData;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
