package com.kexun.entity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;

@TableName(value = "user_model")
@Data
public class UserModel implements Serializable {
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(value = "id")
    private Long id;

    @TableField(value = "user_name")
    private String userName;

    @TableField(value = "model_name")
    private String modelName;

    @TableField(value = "field_combine")
    private String fieldCombine;



    @TableField(value = "product_num")
    private String productNum;

    @TableField(value = "model_state")
    private String modelState;

//    0  自定义模型
//    1  jar包
//    2  python包
//    3  http服务
    @TableField(value = "model_type")
    private int modelType;


    @TableField(value = "other_data")
    private String otherData;

    @TableField(value = "output_list")
    private String outputList;

    @TableField(value = "select_data")
    private String selectData;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}
