package com.kexun.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.kexun.entity.CooperatorField;
import com.kexun.entity.CooperatorProduct;
import com.kexun.entity.CooperatorProductField;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @Entity com.kexun.entity.PartnerInfo
 */
public interface CooperatorProductMapper extends BaseMapper<CooperatorProduct> {

    List<CooperatorProduct> Query();
    List<CooperatorField> fieldQuery(@Param("productNum") String productNum);
    void Apply(String cooperatorNo, String cooperatorName, String productNo, String productName, String modelId, String createTime);
    void updateQuery(@Param("productNum") String productNum, @Param("fieldNo") String fieldNo);

    List<CooperatorField> findCooperatorFieldsQuery(@Param("cooperatorName") String cooperatorName);
}