package com.kexun.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kexun.entity.UserField;
import com.kexun.entity.UserModel;

import java.util.List;

public interface UserModelService extends IService<UserModel> {

    List<UserModel> findByUserName(String user_name);
    UserModel findByModelName(String model_name);
    UserModel findByUserAndModel(String user_name,String model_name);
    UserModel findByID(long id);
    void removeModelByID(long id);
}
