package com.kexun.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.kexun.entity.UserField;
import com.kexun.entity.UserModel;
import com.kexun.mapper.UserFieldMapper;
import com.kexun.service.UserFieldService;
import org.springframework.stereotype.Service;

@Service
public class UserFieldServiceImpl extends ServiceImpl<UserFieldMapper, UserField>
implements UserFieldService {

    @Override
    public UserField findByUserName(String user_name) {
        QueryWrapper wrapper=new QueryWrapper();
        wrapper.eq("user_name",user_name);
        return getOne(wrapper);
    }

    @Override
    public UserField findByFieldCombine(String field_combine) {
        QueryWrapper wrapper=new QueryWrapper();
        wrapper.eq("field_combine",field_combine);
        return getOne(wrapper);
    }

    @Override
    public UserField findByID(long id) {
        QueryWrapper<UserField> wrapper=new QueryWrapper<UserField>().eq("id",id);
        return getOne(wrapper);
    }
    @Override
    public UserField updateUserField(String user_name, String field_data) {

        return null;

    }
}
